# HTTPAuthPolicyService
> 服务认证策略服务

---

## createHTTPAuthPolicy
> 创建策略

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/HTTPAuthPolicyService/createHTTPAuthPolicy`
- RPC：`rpc createHTTPAuthPolicy (CreateHTTPAuthPolicyRequest) returns (CreateHTTPAuthPolicyResponse);`

**请求对象 (`CreateHTTPAuthPolicyRequest`)**

```json
{
  "name": "string // 名称",
  "type": "string",
  "paramsJSON": "bytes"
}
```

**响应对象 (`CreateHTTPAuthPolicyResponse`)**

```json
{
  "httpAuthPolicyId": "int64"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPAuthPolicyService/createHTTPAuthPolicy" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findEnabledHTTPAuthPolicy
> 查找策略信息

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/HTTPAuthPolicyService/findEnabledHTTPAuthPolicy`
- RPC：`rpc findEnabledHTTPAuthPolicy (FindEnabledHTTPAuthPolicyRequest) returns (FindEnabledHTTPAuthPolicyResponse);`

**请求对象 (`FindEnabledHTTPAuthPolicyRequest`)**

```json
{
  "httpAuthPolicyId": "int64"
}
```

**响应对象 (`FindEnabledHTTPAuthPolicyResponse`)**

```json
{
  "httpAuthPolicy": "HTTPAuthPolicy"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPAuthPolicyService/findEnabledHTTPAuthPolicy" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPAuthPolicy
> 修改策略

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/HTTPAuthPolicyService/updateHTTPAuthPolicy`
- RPC：`rpc updateHTTPAuthPolicy (UpdateHTTPAuthPolicyRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPAuthPolicyRequest`)**

```json
{
  "httpAuthPolicyId": "int64",
  "name": "string // 名称",
  "paramsJSON": "bytes",
  "isOn": "bool // 是否启用"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPAuthPolicyService/updateHTTPAuthPolicy" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
